(function() {
 
    if (window.location.href.indexOf('https://linnk.net/article') < 0) {
        // If it's not encode by Linnk, return.
        return;
    }
 
    // Declare events.
    const NativeEventNames = {
        openOrigPage: 'openOrigPage',
    }
 
    const callNative = function(message) {
        try {
            webkit.messageHandlers.webViewContentController.postMessage(message)
        } catch(err) {
            console.log("Error")
        }
    }
 
    // Customize styles.
 
    const style = document.createElement('style');

    style.innerHTML = `
        body {
            margin: 0 auto;
            width: calc(100% - 100px);
            max-width: 880px;
        }
 
        #linnky-page-title-wrapper {
            margin: 0 -25px;
            padding: 25px;
            border-radius: 6px;
            cursor: pointer;
        }
 
        #linnky-page-title-wrapper:hover {
            background-color: #fafafa;
        }
 
        #linnky-page-title-wrapper h1 {
            margin: 0;
            font-size: 36px;
            font-weight: 500;
            line-height: 1
        }
 
        #linnky-page-title-wrapper p {
            margin-bottom: 0 !important;
            font-size: 14px;
        }
    `;

    document.head.appendChild(style);
 
    // Wrap header.
 
    const h1 = document.querySelector('h1');
    const p = h1 && h1.nextElementSibling;
 
    if (h1 !== undefined && p !== undefined) {
        const parent = h1.parentElement;
 
        parent.removeChild(h1);
        parent.removeChild(p)
 
        const wrapper = document.createElement('div');
        wrapper.id = 'linnky-page-title-wrapper';
        wrapper.appendChild(h1)
        wrapper.appendChild(p)
        wrapper.addEventListener('click', () => callNative(NativeEventNames.openOrigPage))
 
        parent.insertBefore(wrapper, parent.firstChild);
    }
 
    return 'ok';
})();
